export class FILTERSETTINGS {
  IsExactMatch: boolean;
  CmfIdValue: string;
  CustomerName: string;
  PartnerFunction: string;
  StreetAddress: string;
  City: string;
  State: string;
  Country: string;
  BusinessPurpose: string;
  SalesOrgs: string;
  DistributionChannel: string;
  SalesOffice: string;
  SalesGroup: string;
  SearchTerm: string;
  IndustryKeyCode: string;
  CustomerGroupCode1: string;
  CustomerGroupCode2: string;
  CustomerGroupCode3: string;
  CustomerGroupCode4: string;
  CustomerGroupCode5: string;
  Incoterm1: string;
  Incoterm2: string;
  PlantCode: string;
  Attribute8: string;

  constructor() {
    this.reset();
  }

  setSalesOrg(selectedItems: any[]) {
    let salesOrgsStr = null;

    for (let i = 0; i < selectedItems.length; i++) {
      salesOrgsStr = (salesOrgsStr == null) ? '' : salesOrgsStr + ',';
      salesOrgsStr += selectedItems[i].data.Text;
    }

    this.SalesOrgs = salesOrgsStr;
  }

  reset() {
    this.IsExactMatch = false;
    this.CmfIdValue = this.CustomerName = this.StreetAddress = this.City = this.SearchTerm = this.Incoterm2 = '';
    this.PartnerFunction = this.State = this.Country = this.BusinessPurpose = this.SalesOrgs = this.DistributionChannel =
      this.SalesOffice = this.SalesGroup = this.IndustryKeyCode = this.CustomerGroupCode1 = this.CustomerGroupCode2 =
      this.CustomerGroupCode3 = this.CustomerGroupCode4 = this.CustomerGroupCode5 = this.Incoterm1 = this.PlantCode =
      this.Attribute8 = null;
  }
}
